Bug 34365 - wait_on_bh, CPU 0:
wait_on_bh, CPU 0:
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-02 14:14 EDT by Le Tanou Jerome
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Le Tanou Jerome 2001-04-02 14:14:23 EDT
On a Dell PowerEdge 300 (Bi-PIII 800 - 1024Mo - AHA39160 - 220Go) which 
act as a samba server for 500 users we've got these message on console :

--
wait_on_bh, CPU 0:
irq:  0 [0 0]
bh:   1 [0 1]
<[c010af45]> <[c015b2a4]> <[c015b90e]> <[c01699ac]> <[c0162734]>
--

How can we fix it ?

Reproducible: Didn't try because we're in production mode.

[root@samba /root]# more /proc/interrupts
           CPU0       CPU1
  0:    4797646    4657568    IO-APIC-edge  timer
  1:       2970       3099    IO-APIC-edge  keyboard
  2:          0          0          XT-PIC  cascade
 13:          1          0          XT-PIC  fpu
 14:         11          0    IO-APIC-edge  ide0
 17:   13710345   13706755   IO-APIC-level  eth0
 18:      78230      78162   IO-APIC-level  aic7xxx
 19:     280034     280520   IO-APIC-level  aic7xxx
NMI:          0
ERR:          0

[root@samba /root]# dmesg | more
Linux version 2.2.17-14 (root@samba.in.ac-grenoble.fr) (gcc version egcs-
2.91.66 19990314/Linux (egcs-1.1.2 release)) #1 SMP
Sat Mar 31 12:55:00 CEST 2001
127MB BIGMEM available.
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: DELL     Product ID: POWEREDGE DE APIC at: 0xFEE00000
Processor #1 Pentium(tm) Pro APIC version 17
Processor #0 Pentium(tm) Pro APIC version 17
I/O APIC #2 Version 17 at 0xFEC00000.
Processors: 2
mapped APIC to ffffe000 (fee00000)
mapped IOAPIC to ffffd000 (fec00000)
Detected 795909 kHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1589.25 BogoMIPS
Memory: 1036284k/1048512k available (952k kernel code, 420k reserved, 
10804k data, 52k init, 131008k bigmem)
Dentry hash table entries: 262144 (order 9, 2048k)
Buffer cache hash table entries: 524288 (order 9, 2048k)
Page cache hash table entries: 262144 (order 8, 1024k)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 386/387 coupling... OK, FPU using exception 16 error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
per-CPU timeslice cutoff: 50.04 usecs.
CPU1: Intel Pentium III (Coppermine) stepping 06
calibrating APIC timer ...
..... CPU clock speed is 795.9354 MHz.
..... system bus clock speed is 99.4918 MHz.
Booting processor 0 eip 2000
Calibrating delay loop... 1589.25 BogoMIPS
Intel machine check reporting enabled on CPU#0.
OK.
CPU0: Intel Pentium III (Coppermine) stepping 06
Total of 2 processors activated (3178.50 BogoMIPS).
enabling symmetric IO mode... ...done.
ENABLING IO-APIC IRQs
...changing IO-APIC physical APIC ID to 2
init IO_APIC IRQs
 IO-APIC (apicid-pin) 2-0, 2-10, 2-11, 2-13, 2-15, 2-23 not connected.
number of MP IRQ sources: 39.
number of IO-APIC #2 registers: 24.
testing the IO APIC.......................
<...cut...>
PCI: Using configurationtype 1
PCI: Probing PCI hardware
PCI->APIC IRQ transform: (B0,I7,P3) -> 19
PCI->APIC IRQ transform: (B0,I13,P0) -> 17
PCI->APIC IRQ transform: (B0,I14,P0) -> 18
PCI->APIC IRQ transform: (B0,I14,P1) -> 19
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP
TCP: Hash tables configured (ehash 524288 bhash 65536)
Starting kswapd v 1.5
Detected PS/2 Mouse Port.
pty: 256 Unix98 ptys configured
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
hda: CRD-8482B, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: ATAPI 48X CD-ROM drive, 128kB Cache
Uniform CD-ROM driver Revision: 3.11
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
(scsi0) <Adaptec AIC-7899 Ultra 160/m SCSI host adapter> found at PCI 
0/14/0
(scsi0) Wide Channel A, SCSI ID=7, 32/255 SCBs
(scsi0) Downloading sequencer code... 396 instructions downloaded
(scsi1) <Adaptec AIC-7899 Ultra 160/m SCSI host adapter> found at PCI 
0/14/1
(scsi1) Wide Channel B, SCSI ID=7, 32/255 SCBs
(scsi1) Downloading sequencer code... 396 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.34/3.2.4
       <Adaptec AIC-7899 Ultra 160/m SCSI host adapter>
scsi1 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.34/3.2.4
       <Adaptec AIC-7899 Ultra 160/m SCSI host adapter>
scsi : 2 hosts.
  Vendor: SEAGATE   Model: ST39204LW         Rev: 0006
  Type:   Direct-Access                      ANSI SCSI revision: 03
Detected scsi disk sda at scsi0, channel 0, id 0, lun 0
  Vendor: IFT       Model: SR150             Rev: 0312
  Type:   Direct-Access                      ANSI SCSI revision: 04
Detected scsi disk sdb at scsi1, channel 0, id 5, lun 0
scsi : detected 2 SCSI disks total.
(scsi0:0:0:0) Synchronous at 80.0 Mbyte/sec, offset 63.
SCSI device sda: hdwr sector= 512 bytes. Sectors= 17921835 [8750 MB] [8.8 
GB]
(scsi1:0:5:0) Synchronous at 80.0 Mbyte/sec, offset 31.
SCSI device sdb: hdwr sector= 512 bytes. Sectors= 430123008 [210021 MB] 
[210.0 GB]
3Com 3c90x Version 1.0.0i 1999 <linux_drivers@3com.com>
Partition check:
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 >
 sdb: sdb1 sdb2 sdb3 sdb4 < sdb5 >
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 52k freed
Adding Swap: 530136k swap-space (priority -1)
Comment 1 Bugzilla owner 2004-09-30 11:38:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.